Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228186 - Review Request: gsm - Shared libraries for GSM speech compressor
Summary: Review Request: gsm - Shared libraries for GSM speech compressor
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
: 228185 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW 239770
TreeView+ depends on / blocked
 
Reported: 2007-02-11 04:49 UTC by John Guthrie
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-10 21:58:38 UTC
dominik: fedora-review-


Attachments (Terms of Use)

Description John Guthrie 2007-02-11 04:49:03 UTC
Spec URL: http://www.guthrie.info/RPMS/fc6/gsm.spec
SRPM URL: http://www.guthrie.info/RPMS/fc6/gsm-1.0.12-1.fc6.src.rpm
Description: Contains runtime shared libraries for libgsm, an implementation of
the European GSM 06.10 provisional standard for full-rate speech
transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
excitation/long term prediction) coding at 13 kbit/s.

Comment 1 Mamoru TASAKA 2007-02-11 04:55:17 UTC
*** Bug 228185 has been marked as a duplicate of this bug. ***

Comment 2 Ville Skyttä 2007-02-11 08:46:04 UTC
I suppose the reason this hasn't been in Fedora already earlier is patent
concerns on GSM 06.10 (see eg. the project homepage for more info) - I suppose
this requires an ack from legal before inclusion.

Comment 3 Michael Schwendt 2007-02-11 11:56:58 UTC
Recycling an old comment:

[...]

Based on moderate Googling, there is no evidence of public patent
claims by Philips or any court cases specific to GSM 06.10
(they do hold patents > for much newer GSM technology). There's
only second hand knowledge which dates back as far as Nov 2000:
 
    http://www.mail-archive.com/ietf@ietf.org/msg03976.html

Jutta Deneger, one of the authors of the "gsm" package, also appears
in that thread and has still not been contacted by Philips while she
still offers the code on her home page. The patent analyzed in that
thread,
 
     http://www.freepatentsonline.com/4932061.html
 
expires in roughly more than one year. It is believed to not apply
to GSM 06.10.

[...]

Remember, libsndfile contains a copy of "gsm" and also is in Fedora.
The libsndfile author also is not aware of anything else than very
vague rumours and therefore is unconcerned. 


Comment 4 John Guthrie 2007-02-11 19:08:02 UTC
I forgot to mention (although it might be clear from the .spec file) that this
RPM is based on a DAG RPM.  That may or may not help with patent issues.

Comment 5 Michael Schwendt 2007-04-08 12:04:50 UTC
"sox" in Core is built --with-gsm and contains a copy of gsm

"linphone" in Extras contains a copy of gsm-1.0.10

[...]

@ John:

* Files in gsm-devel are not writable by owner. chmod u+w needed

* Static library should be deleted from -devel, summary and
description.

* The patch is out-of-date and needs an update. It creates
libgsm.so.1.0.10 but this is libgsm.so.1.0.12.

Suggest you add a %check section that makes sure this doesn't
happen for future patch-levels.

--- gsm.spec.orig       2007-02-11 04:46:37.000000000 +0100
+++ gsm.spec    2007-04-08 14:06:13.000000000 +0200
@@ -45,6 +45,9 @@
 %{__ln_s} -f toast %{buildroot}%{_bindir}/untoast
 %{__ln_s} -f toast %{buildroot}%{_bindir}/tcat
 
+%check
+[ -f %{_libdir}/libgsm.so.%{version} ]
+
 %post -p /sbin/ldconfig
 
 %postun -p /sbin/ldconfig

* The %install section uses a few hardcoded paths that should be
replaced with macros.

* %mandir in %files section is %doc automatically.


Comment 6 Michael Schwendt 2007-04-08 12:20:59 UTC
Removing from FE-Legal tracker since this code is in the distribution
multiple times.

Comment 7 Peter Lemenkov 2007-04-11 19:14:54 UTC
John, please update ypur spec according to the latest proposals. Take a look at
Mattias's one here:

http://ftp.freshrpms.net/pub/freshrpms/fedora/linux/6/gsm/gsm-1.0.12-1.fc6.src.rpm

Comment 8 Peter Lemenkov 2007-04-11 19:15:46 UTC
(In reply to comment #7)
> Take a look at Mattias's one here:

Oops!

s/Mattias/Matthias/g


Comment 9 Michael Schwendt 2007-04-18 10:45:33 UTC
"ladspa-swh-plugins" in Extras contains a copy of gsm


Comment 10 Ville Skyttä 2007-04-18 14:49:17 UTC
xine-lib >= 1.1.5 in Extras contains one too.  (I looked into changing it to use
system libgsm, but some gsm's private things are being used so it doesn't look
like a no-brainer.)

Comment 11 Dominik 'Rathann' Mierzejewski 2007-04-28 14:14:45 UTC
Taking the review.

Comment 12 Dominik 'Rathann' Mierzejewski 2007-04-28 14:19:11 UTC
... after the proposed package has been updated according to the comments above.

Comment 13 Dominik 'Rathann' Mierzejewski 2007-04-30 14:35:33 UTC
Hm. It looks like the original submitter hasn't posted anything since February.
In that case, this will be closed and marked as FE-DEADREVIEW if the submitter
doesn't reply within a week.

Comment 14 Dominik 'Rathann' Mierzejewski 2007-05-10 21:58:38 UTC
Closing.


Note You need to log in before you can comment on or make changes to this bug.